/**
 * MK4duo 3D Printer Firmware
 *
 * Based on Marlin, Sprinter and grbl
 * Copyright (C) 2011 Camiel Gubbels / Erik van der Zalm
 * Copyright (C) 2013 - 2017 Alberto Cotronei @MagoKimbra
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 *
 */

#define LASERENABLE_HEIGHT 	20
#define LASERENABLE_WIDTH	25
#define LASERENABLE_BYTEWIDTH	4
const unsigned char laserenable_bmp[] PROGMEM = {
	0x00, 0x1c, 0x00, 0x00,
	0x00, 0x3e, 0x00, 0x00,
	0x00, 0x77, 0x00, 0x00,
	0x00, 0x63, 0x00, 0x00,
	0x00, 0xc1, 0x80, 0x00,
	0x01, 0xc1, 0xc0, 0x00,
	0x01, 0x88, 0xc0, 0x00,
	0x03, 0x08, 0x60, 0x00,
	0x07, 0x41, 0x70, 0x00,
	0x06, 0x2a, 0x30, 0x00,
	0x0c, 0x1c, 0x18, 0x00,
	0x1d, 0xbf, 0xfc, 0x00,
	0x18, 0x1c, 0x0c, 0x00,
	0x30, 0x2a, 0x06, 0x00,
	0x70, 0x41, 0x07, 0x00,
	0x60, 0x88, 0x83, 0x00,
	0xc0, 0x08, 0x01, 0x80,
	0xc0, 0x00, 0x01, 0x80,
	0xff, 0xff, 0xff, 0x80,
	0x7f, 0xff, 0xff, 0x00
};

#define ICON_HEIGHT 	13
#define ICON_WIDTH	12
#define ICON_BYTEWIDTH	2
const unsigned char laseron_bmp[] PROGMEM = {
	0xff, 0xf0,
	0x8f, 0x10,
	0x8f, 0x10,
	0x9f, 0x90,
	0x9f, 0x90,
	0x80, 0x10,
	0x86, 0x10,
	0x86, 0x10,
	0xc6, 0x30,
	0xa6, 0x50,
	0x96, 0x90,
	0xaf, 0x50,
	0xff, 0xf0
};

const unsigned char laseroff_bmp[] PROGMEM = {
	0xff, 0xf0,
	0x8f, 0x10,
	0x8f, 0x10,
	0x9f, 0x90,
	0x9f, 0x90,
	0x80, 0x10,
	0x80, 0x10,
	0x80, 0x10,
	0x80, 0x10,
	0x80, 0x10,
	0x80, 0x10,
	0x80, 0x10,
	0xff, 0xf0
};

const unsigned char lockicon_bmp[] PROGMEM = {
	0x0f, 0x00,
	0x19, 0x80,
	0x30, 0xc0,
	0x20, 0x40,
	0x20, 0x40,
	0x20, 0x40,
	0x3f, 0xc0,
	0x20, 0x40,
	0x26, 0x40,
	0x26, 0x40,
	0x2f, 0x40,
	0x20, 0x40,
	0x3f, 0xc0
};

const unsigned char vacicon_bmp[] PROGMEM = {
	0x06, 0x00,
	0x06, 0x00,
	0x06, 0x00,
	0x0f, 0x00,
	0x0f, 0x00,
	0x1f, 0x80,
	0x3f, 0xc0,
	0xff, 0xf0,
	0xff, 0xf0,
	0xc0, 0x30,
	0x16, 0x80,
	0x29, 0x40,
	0x50, 0xa0
};

const unsigned char airicon_bmp[] PROGMEM = {
	0x32, 0xc0,
	0x30, 0xc0,
	0x34, 0xc0,
	0x30, 0xc0,
	0x32, 0xc0,
	0x30, 0xc0,
	0x34, 0xc0,
	0x19, 0x80,
	0x02, 0x00,
	0x00, 0x00,
	0x04, 0x00,
	0x09, 0x00,
	0x22, 0x40
};

const unsigned char watericon_bmp[] PROGMEM = {
	0x02, 0x00,
	0x07, 0x00,
	0x05, 0x00,
	0x0d, 0x80,
	0x08, 0x80,
	0x18, 0xc0,
	0x10, 0x40,
	0x30, 0x60,
	0x38, 0x20,
	0x3c, 0x60,
	0x3f, 0xe0,
	0x1f, 0xc0,
	0x0f, 0x80
};
