/**
 * MK4duo 3D Printer Firmware
 *
 * Based on Marlin, Sprinter and grbl
 * Copyright (C) 2011 Camiel Gubbels / Erik van der Zalm
 * Copyright (C) 2013 - 2017 Alberto Cotronei @MagoKimbra
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 *
 */

// 100k Honeywell 135-104LAF-J01
// R0 = 100000 Ohm
// T0 = 25 °C
// Beta = 3974
// R1 = 0 Ohm
// R2 = 4700 Ohm
const short temptable_71[][2] PROGMEM = {
  {   35, 300 },
  {   51, 270 },
  {   54, 265 },
  {   58, 260 },
  {   59, 258 },
  {   61, 256 },
  {   63, 254 },
  {   64, 252 },
  {   66, 250 },
  {   67, 249 },
  {   68, 248 },
  {   69, 247 },
  {   70, 246 },
  {   71, 245 },
  {   72, 244 },
  {   73, 243 },
  {   74, 242 },
  {   75, 241 },
  {   76, 240 },
  {   77, 239 },
  {   78, 238 },
  {   79, 237 },
  {   80, 236 },
  {   81, 235 },
  {   82, 234 },
  {   84, 233 },
  {   85, 232 },
  {   86, 231 },
  {   87, 230 },
  {   89, 229 },
  {   90, 228 },
  {   91, 227 },
  {   92, 226 },
  {   94, 225 },
  {   95, 224 },
  {   97, 223 },
  {   98, 222 },
  {   99, 221 },
  {  101, 220 },
  {  102, 219 },
  {  104, 218 },
  {  106, 217 },
  {  107, 216 },
  {  109, 215 },
  {  110, 214 },
  {  112, 213 },
  {  114, 212 },
  {  115, 211 },
  {  117, 210 },
  {  119, 209 },
  {  121, 208 },
  {  123, 207 },
  {  125, 206 },
  {  126, 205 },
  {  128, 204 },
  {  130, 203 },
  {  132, 202 },
  {  134, 201 },
  {  136, 200 },
  {  139, 199 },
  {  141, 198 },
  {  143, 197 },
  {  145, 196 },
  {  147, 195 },
  {  150, 194 },
  {  152, 193 },
  {  154, 192 },
  {  157, 191 },
  {  159, 190 },
  {  162, 189 },
  {  164, 188 },
  {  167, 187 },
  {  170, 186 },
  {  172, 185 },
  {  175, 184 },
  {  178, 183 },
  {  181, 182 },
  {  184, 181 },
  {  187, 180 },
  {  190, 179 },
  {  193, 178 },
  {  196, 177 },
  {  199, 176 },
  {  202, 175 },
  {  205, 174 },
  {  208, 173 },
  {  212, 172 },
  {  215, 171 },
  {  219, 170 },
  {  237, 165 },
  {  256, 160 },
  {  300, 150 },
  {  351, 140 },
  {  470, 120 },
  {  504, 115 },
  {  538, 110 },
  {  552, 108 },
  {  566, 106 },
  {  580, 104 },
  {  594, 102 },
  {  608, 100 },
  {  622,  98 },
  {  636,  96 },
  {  650,  94 },
  {  664,  92 },
  {  678,  90 },
  {  712,  85 },
  {  745,  80 },
  {  758,  78 },
  {  770,  76 },
  {  783,  74 },
  {  795,  72 },
  {  806,  70 },
  {  818,  68 },
  {  829,  66 },
  {  840,  64 },
  {  850,  62 },
  {  860,  60 },
  {  870,  58 },
  {  879,  56 },
  {  888,  54 },
  {  897,  52 },
  {  905,  50 },
  {  924,  45 },
  {  940,  40 },
  {  955,  35 },
  {  967,  30 },
  {  970,  29 },
  {  972,  28 },
  {  974,  27 },
  {  976,  26 },
  {  978,  25 },
  {  980,  24 },
  {  982,  23 },
  {  984,  22 },
  {  985,  21 },
  {  987,  20 },
  {  995,  15 },
  { 1001,  10 },
  { 1006,   5 },
  { 1010,   0 }
};
